/* ===========================================================================

 RIBSETUP.H    Global variables and functions for RIBSETUP 

=============================================================================*/
#ifndef RIBSETUP_H
#define RIBSETUP_H


#ifdef RIBSETUP_ALLOCATE
#define EXTERN
#else
#define EXTERN extern
#endif

//#define DEBUG_PRINTF

class RibSetupParams
{
   private:
   public:
      void   init(void);
      void   updateCorridorPopupMenu(UINT4 icor_num_a,
               char cor_names_a[IMAX_PROT_REGIONS][16]);
      void   updateSetPBWidgets(char set_name[8][16]);
      void   updateAliasTxtFWidgets(void);
      void   updateSet(void);
      void   setSet(void);
      void   updateStatus(UINT2 lstatus_a[RIB_MAX_DISPLAYS]);
      void   updateTotalNumSets(UINT2 total_num_sets_a); // if 0 figure out
};
EXTERN RibSetupParams ribSetupParams;

class ConfigTools
{
   private :
   public  :
      void   create(swidget parent);
      void   popup();
      void   popdown();
};
EXTERN ConfigTools configTools;

class StatusTools
{
   private :
   public  :
      void   create(swidget parent);
      void   popup();
      void   popdown();
      void   updateStatus(SINT4 in_cnt_a[RIB_MAX_DISPLAYS],
               char  alias_a[RIB_MAX_DISPLAYS][16],
               SINT4 iout_cnt_a[RIB_MAX_DISPLAYS],
               SINT4 iage_a[RIB_MAX_DISPLAYS],
               char  status_a[RIB_MAX_DISPLAYS][16]);
};
EXTERN StatusTools statusTools;

#undef EXTERN
#endif


